
/*
Author: atomdual
Version: 1.0
type :Widgets
License: MIT License
Date: 2025-03-15
Source: https://atomdual.com
*/

$(document).ready(function() {

    // Get the browser's language setting
    var userLanguage = navigator.language || navigator.userLanguage;

    // Check if the browser language is available; otherwise, use the default language 'en'
    if ($("#language option[value='" + userLanguage + "']").length === 0) {
        // If the browser language is not available, fallback to 'en'
        userLanguage = 'en';
    }

    // Set the language selection and load the corresponding script
    $('#language').val(userLanguage);
    const loadScript = new Promise((resolve, reject) => {
        const script = document.createElement('script');
        script.src = `lans/${userLanguage}.js`;
        script.onload = () => {
            resolve();
            updateLabels(); // Update labels after the script is loaded successfully
        };
        script.onerror = () => reject(new Error('Failed to load script'));
        document.head.appendChild(script);
    });

    $('#language').on('change', function() {
        let language = $(this).val();
        const loadScript = new Promise((resolve, reject) => {
            const script = document.createElement('script');
            script.src = `lans/${language}.js`;
            script.onload = () => {
                resolve();
                updateLabels(); // Update labels after the script is loaded successfully
            };
            script.onerror = () => reject(new Error('Failed to load script'));
            document.head.appendChild(script);
        });
    });

    window.updateLabels = function() {
        $("*[lan]").each(function() {
            let key = $(this).attr('lan');
            let title = $(this).attr('title');
            try {
                if (lan && lan[key]) {
                    if (title && title.trim() !== '') {
                        $(this).attr("title", lan[key]);
                    } else {
                        $(this).text(lan[key]);
                    }
                }
            } catch (e) {
            }
        });
    }

});
